Index: gsdl/trunk/perllib/strings_fr.properties
===================================================================
--- gsdl/trunk/perllib/strings_fr.properties	(revision 14900)
+++ gsdl/trunk/perllib/strings_fr.properties	(revision 14905)
@@ -55,7 +55,7 @@
 scripts.describeall:Des options d'affichage de tous les Ã©lÃ©ments connus  # Updated 5-Dec-2007 by Georges Braoudakis
 
-scripts.both_old_options:ATTENTION: Tous deux -Ã©liminervieux et -laisservieux furent spÃ©cifiÃ©s, dÃ©faillant Ã  -Ã©liminervieux. Les contenus Ã  jour du catalogue %s seront dÃ©tectÃ©s.  # Updated 12-Mar-2006
-
-scripts.no_old_options:ATTENTION: Aucun -Ã©liminervieux ou -gardervieux ont Ã©tÃ© spÃ©cifiÃ©s, causant Ã  -Ã©liminervieux. Les contenus actuel du catalogue %s seront supprimÃ©s.  # Updated 13-Mar-2006
+scripts.both_old_options:AVERTISSEMENT: - removeold a Ã©tÃ© spÃ©cifiÃ© avec - keepold ou -incremental, par dÃ©faut sera  -removeold. Le contenu actuel du rÃ©pertoire %s sera supprimÃ©.  # Updated 6-Dec-2007 by Georges Braoudakis
+
+scripts.no_old_options:AVERTISSEMENT: Aucune des options  -removeold, - keepold ou --incremental n'a Ã©tÃ© prÃ©cisÃ©e, par dÃ©faut sera mis  -removeold. Les contenus actuels du rÃ©pertoire %s sera supprimÃ©.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 # -- buildcol.pl --
@@ -69,5 +69,5 @@
 buildcol.cannot_open_cfg_file:ATTENTION: Impossible d'ouvrir le fichier de configuration pour mise Ã  jour: %s
 
-buildcol.collectdir:RÃ©pertoire de la collection.
+buildcol.collectdir:Le chemin du rÃ©pertoire Â«Â collectÂ Â»  # Updated 6-Dec-2007 by Georges Braoudakis
 
 buildcol.copying_back_cached_build:Recopie de la construction mise en cache
@@ -77,5 +77,5 @@
 buildcol.debug:Imprimer la sortie sur STDOUT.
 
-buildcol.desc:Script PERL utilisÃ© pour bÃ¢tir une collection Greenstone Ã  pertir de documents GML.
+buildcol.desc:Script PERL utilisÃ© pour bÃ¢tir une collection Greenstone Ã  pertir de documents GA.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 buildcol.faillog:Nom de fichier log d'Ã©chec. Ce fichier log reÃ§oit les noms de fichiers de tous les fichiers qu'on n'a pas pu traiter.
@@ -216,11 +216,11 @@
 import.cannot_sort:ATTENTION: le plugin d'importation ne peut pas trier les documents si groupsize > 1. L'option sortmeta sera ignorÃ©e.
 
-import.collectdir:RÃ©pertoire de la collection.
+import.collectdir:Le chemin du rÃ©pertoire "collect".  # Updated 6-Dec-2007 by Georges Braoudakis
 
 import.complete:Fin de l'importation.
 
-import.debug:Imprimer le texte importÃ© vers STDOUT.
-
-import.desc:Script PERL utilisÃ© pour importer les fichiers dans le formÃ¹at GML prÃªt pour la construction.
+import.debug:Imprimer le texte importÃ© Ã  STDOUT ( importation GA)  # Updated 6-Dec-2007 by Georges Braoudakis
+
+import.desc:Script PERL utilisÃ©s pour importer des fichiers dans un format GA prÃªt pour la construction.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 import.faillog:Nom de fichier du log d'Ã©chec. Ce log reÃ§oit les noms de fichier de tous les fichiers qui n'ont pas pu Ãªtre traitÃ©s
@@ -243,11 +243,11 @@
 
 import.OIDtype:La mÃ©thode Ã  utiliser pour produire des identificateurs uniques pour chaque document
-import.OIDtype.hash:Hache les contenus du fichier. L'identificateur du document sera le mÃªme Ã  chaque fois que la collection est importÃ©e.
-
-import.OIDtype.incremental:Un compteur de document simple beaucoup plus rapide que ''hash". Ce n'est pas garanti de toujours assigner le mÃªme identificateur Ã  un document donnÃ© et ne permet pas l'addition d'aures documents dans des archives xml existants.
-
-import.OIDtype.assigned:Utilise 'D' plus la valeur de ds.Idendifier comme identificateur de document. Dc.Identifier doit Ãªtre unique. Si aucun dc.Idenfier n'est associÃ© au document, un id calculÃ© sera utilisÃ©.
-
-import.OIDtype.dirname:Utilise 'J' plus le nom du rÃ©pertoire parent comme identificateur. Cela suppose qu'il y a juste un document par rÃ©pertoire, et que tous les noms de rÃ©pertoire sont uniques.C.a.d. import/b13as/h15ef/page.html obtiendra l'identificateur Jh15ef.
+import.OIDtype.hash:Hashe le contenu du fichier. Les identifiants de documents sera la mÃªme Ã  chaque fois que la collection est importeÃ©.  # Updated 6-Dec-2007 by Georges Braoudakis
+
+import.OIDtype.incremental:Utilise un simple comptage de document. Beaucoup plus rapide que le "hachage", mais ne attribuera pas le mÃªme identifiant pour le mÃªme contenu de document, et d'autres documents ne peuvent pas Ãªtre ajoutÃ©es aux archives existantes.  # Updated 6-Dec-2007 by Georges Braoudakis
+
+import.OIDtype.assigned:Utiliser la valeur des mÃ©tadonnÃ©es fournies par l'option OIDmetadata (prÃ©cÃ©dÃ©e par "D"); si non spÃ©cifiÃ©e, Ã  un document de hachage est utilisÃ© Ã  la place. Ces identificateurs doivent Ãªtre uniques.  # Updated 6-Dec-2007 by Georges Braoudakis
+
+import.OIDtype.dirname:Utilisez le nom du rÃ©pertoire parent (prÃ©cÃ©dÃ© par 'J'). Il ne devrait Ãªtre qu'un document par rÃ©pertoire, et les noms de rÃ©pertoire doivent Ãªtre uniques. Par exemple Import/b13as/h15ef/page.html donnera un identifiant de Jh15ef.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 import.OIDmetadata:SpÃ©cifie les Ã©lÃ©ments de mÃ©tadonnÃ©es qui dÃ©tiennent l'identificateur unique du document, pour une utilisation avec - OIDtype = assignÃ©s.  # Updated 4-Dec-2007 by Georges Braoudakis
@@ -269,5 +269,5 @@
 import.removing_tmpdir:Ãliminant les contenus de la collection du catalogue "tmp"...  # Updated 13-Mar-2006
 
-import.sortmeta:Trier les documents par ordre alphabÃ©tique et par mÃ©ta-donnÃ©e pour la construction. RÃ©sultats de la recherche pour requÃªtes boulean seront prÃ©sentÃ©s dans cet ordre. Ceci sera dÃ©sactivÃ© si groupsize > 1.  # Updated 13-Mar-2006
+import.sortmeta:Trier pour la construction les documents par ordre alphabÃ©tique des mÃ©tadonnÃ©es. Les rÃ©sultats de la recherche pour les expressions boolÃ©ennes seront affichÃ©s dans cet ordre. Ceci sera dÃ©sactivÃ© si groupsize> 1. Pour trier par plus d'une valeur de mÃ©tadonnÃ©es, peut Ãªtre une liste sÃ©parÃ©e par des virgules.   # Updated 6-Dec-2007 by Georges Braoudakis
 
 import.statsfile:Nom de fichier ou contrÃŽle vers lequel envoyer les statistiques d'importation.
@@ -288,13 +288,13 @@
 export.cannot_sort:ATTENTION: export.pl ne peut trier les documents lorsque groupsize>1. L'option sortmeta sera ignorÃ©e.
 
-export.collectdir:RÃ©pertoire collection.
+export.collectdir:Le chemin du rÃ©pertoire "collect".  # Updated 6-Dec-2007 by Georges Braoudakis
 
 export.complete:Exportation terminÃ©e
 
-export.debug:Imprimer le texte exportÃ© sur STDOUT.
+export.debug:Imprimez le texte exportÃ© Ã  STDOUT (pour l'export GA)  # Updated 6-Dec-2007 by Georges Braoudakis
 
 export.desc:Les scripts PERL utilisÃ©s pour exporter des fichier dans une collection Greenstone Ã  un autre format.  # Updated 13-Mar-2006
 
-export.faillog:Nom de fichier des Ã©checs de la log. Cette log reÃ§oit les noms de fichier de tous les fichiers qui n'ont pu Ãªtre traitÃ©. (DÃ©faut: collectdir/collect/collname/etc/fail.log)  # Updated 13-Mar-2006
+export.faillog:Nom du fichier journal d'Ã©chec. Ce journal reÃ§oit les noms de fichiers de tous les fichiers qui ne sont pas traitÃ©s. (Valeur par dÃ©faut: collectdir/collname/etc/fail.log)  # Updated 6-Dec-2007 by Georges Braoudakis
 
 export.groupsize:Nombre de documents Ã  grouper dans un fichier XML.  # Updated 13-Mar-2006
@@ -417,5 +417,5 @@
 plugoutinfo.collection:Etant donnÃ© un nom de collection, on fera en premier pointer plugoutinfo.pl dans collecter/ collection nom/perllib/plugouts.  Si le "plugout" n'est pas trouvÃ© lÃ , on regardera dans le rÃ©pertoire gÃ©nÃ©ral perllib/plugouts.  # Updated 5-Dec-2007 by Georges Braoudakis
 
-plugoutinfo.desc:Imprimer l'informations sur un Â«plugoutÂ».   # Updated 5-Dec-2007 by Georges Braoudakis
+plugoutinfo.desc:Imprimer l'informations sur un Â«plugoutÂ».  # Updated 5-Dec-2007 by Georges Braoudakis
 
 plugoutinfo.general_options:Les options gÃ©nÃ©rales sont hÃ©ritÃ©es de la classes parente du "plugout".  # Updated 5-Dec-2007 by Georges Braoudakis
@@ -478,5 +478,5 @@
 AZCompactList.allvalues:Utiliser toutes les valeurs de mÃ©ta-donnÃ©es trouvÃ©es.
 
-AZCompactList.desc:Plugin de classification pour tri par ordre alphabÃ©tique
+AZCompactList.desc:Plugiciel de classificateur pour le tri alphabÃ©tique (sur un - zA - Z0 - 9). Produit une liste AZ horizontale, puis une liste verticale contenant des documents, ou des Ã©tagÃšres pour les documents avec des mÃ©tadonnÃ©es communes.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 AZCompactList.doclevel:Niveau oÃ¹ le document est traitÃ©.
@@ -503,11 +503,11 @@
 AZCompactSectionList.desc:Variation sur AZCompactList qui classifie des sections plutÃŽt que des documents. Les entrÃ©es sont triÃ©es par mÃ©ta-donnÃ©es de niveau section.
 
-AZList.desc:Plugin de classification pour le tri par ordre alphabÃ©tique
+AZList.desc:Plugiciel de classificateur pour le tri alphabÃ©tique (sur un - zA - Z0 - 9). Produit une liste AZ horizontale, avec les documents Ã©numÃ©rÃ©s ci-dessous.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 AZList.metadata:Un champ de mÃ©ta-donnÃ©e unique ou une liste de champs de mÃ©ta-donnÃ©e sÃ©parÃ©s par des virgules utilisÃ© pour classification. En suivant l'ordre indiquÃ© par la liste, le premier champ qui contient  une valeur de mÃ©ta-donnÃ©e sera utilisÃ©. La liste sera triÃ©e suivant cet Ã©lÃ©ment.
 
-AZSectionList.desc:Plugin de classification pour classer par ordre alphabÃ©tique. Ceci est trÃšs similaire Ã  AZList sauf qu'il classe par niveau de mÃ©ta-donnÃ©es (en excluant le sommet) au lieu de ne considÃ©rer que les seules mÃ©ta-donnÃ©es des niveaux supÃ©rieurs. Le seul changement est au niveau sous-programme classify () qui doit procÃ©der Ã  une itÃ©ration Ã  travers chaque section, ajoutant chacune d'elle Ã  la classification.
-
-BasClas.bad_general_option:Le classificateur %s utilise une option gÃ©nÃ©rale incorrecte (les options gÃ©nÃ©rales sont celles qui sont disponibles pour tous les classificateurs). VÃ©rifiez votre fichier de configuration collect.cfg.
+AZSectionList.desc:Variation de AZList qui classe les sections plutÃŽt que les documents. Les entrÃ©es sont triÃ©es par les mÃ©tadonnÃ©es au niveau de la section.  # Updated 6-Dec-2007 by Georges Braoudakis
+
+BasClas.bad_general_option:Le classificateur %s utilise une mauvaise option. VÃ©rifiez votre fichier de configuration collect.cfg  # Updated 6-Dec-2007 by Georges Braoudakis
 
 BasClas.builddir:Endroit oÃ¹ les indexes construits vont Ãªtre mis.
@@ -527,11 +527,11 @@
 BasClas.verbosity:ContrÃŽle la quantitÃ© d'Ã©lÃ©ments produits. 0=aucun, 3=beaucoup.
 
-Browse.desc:.
+Browse.desc:Un classificateur artificiel qui fournit un lien dans la barre de navigation d'un prototype combinÃ© de navigation et la recherche dans la page. Fonctionne uniquement pour les collections mgpp, et il est seulement pratique pour les petites collections.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 DateList.bymonth:Classifier par annÃ©e et par mois plutÃŽt que par annÃ©e seulement.
 
-DateList.desc:Plugin de classification utilisÃ© pour trier par date. Par dÃ©faut, trie suivant la mÃ©ta-donnÃ©e 'Date'. La date doit Ãªtre sous la forme yyyymmdd (aaaammjj).
-
-DateList.metadata:Le mÃ©ta-donnÃ©e qui contient les dates dont on s' en sert pour classissifier. Le format doit Ãªtre aaaammjj. Peut Ãªtre une liste sÃ©parÃ©e par une virgule, causant que la premiÃšre date trouvÃ©es sera celle Ã  utiliser.  # Updated 13-Mar-2006
+DateList.desc:Plugiciel  de classification pour le tri par date. Par dÃ©faut, le tri par mÃ©tadonnÃ©e 'Date' . Les dates sont supposÃ©es Ãªtre sous la forme aaaammjj ou aaaa-mm-jj.  # Updated 6-Dec-2007 by Georges Braoudakis
+
+DateList.metadata:La mÃ©tadonnÃ©e qui contient les dates pour le classement. Le format devrait Ãªtre aaaammjj ou aaaa-mm-jj. Peut Ãªtre une liste sÃ©parÃ©e par des virgules, auquel cas sera utilisÃ©e la premiÃšre date trouvÃ©e.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 DateList.reverse_sort:Trier les documents par ordre chronologique inverse (plus rÃ©cent en premier).
@@ -583,5 +583,5 @@
 List.sort:Champ de mÃ©ta-donnÃ©e suivant lequel trier. Utiliser '-sort nosort' pour dÃ©sactiver le tri.
 
-Phind.desc:Le plugin du classificateur Phind.
+Phind.desc:Produit une hiÃ©rarchie des phrases figurant dans le texte, qui est consultable par le biais d'une applet.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 Phind.language:Langue ou langues Ã  utiliser pour la construction d'une hiÃ©rarchie. Les langues sont identifiÃ©es par des codes de pays Ã  deux lettres comme en (anglais), es (espagnole), fr (franÃ§ais). Langue est une expression ordinaire, donc 'en|fr' (anglais ou franÃ§ais) et '..' (toute langue) sont valides.
@@ -611,5 +611,5 @@
 SectionList.desc:Comme le classificateur List, mais inclut toutes les sections du document (Ã  l'exception du niveau supÃ©rieur) plutÃŽt que le document de niveau supÃ©rieur seulement.
 
-Collage.desc:Le plugin du classeur de collage
+Collage.desc:Un applet est utilisÃ© pour afficher un collage d'images trouvÃ©es dans la collection.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 Collage.geometry:Les dimensions du fond de Collage.  Pour un fond de 600 pixels de large et 400 pixels de haut par example, indiquez la gÃ©omÃ©trie comme 600x400
@@ -644,5 +644,5 @@
 BasPlug.already_seen:dÃ©jÃ  vu
 
-BasPlug.bad_general_option:Le plugin %s utilise une option gÃ©nÃ©rale incomplÃšte (les options gÃ©nÃ©rales sont celles qui sont disponibles pour tous les plugins). VÃ©rifiez votre fichier de configuration collect.cfg.
+BasPlug.bad_general_option:Le plugiciel %s utilise une option gÃ©nÃ©rale incomplÃšte (les options gÃ©nÃ©rales sont celles qui sont disponibles pour tous les plugins). VÃ©rifiez votre fichier de configuration collect.cfg.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 BasPlug.block_exp:Les fichiers qui correspondent Ã  cette expression ordinaire ne pourront pas Ãªtre passÃ©s Ã  d'autres plugins dans la liste. Cela n'a pas d'autres vÃ©ritables effets que d'empÃªcher qu'il y ait plusieurs messages d'avertissements concernant des fichiers d'entrÃ©e dont vous n'aurez pas Ã  vous soucier. Chaque plugin pourrait avoir un bloc_exp par dÃ©faut, p.ex: par dÃ©faut HTMLPlug bloque tout fichier avec les extensions de fichiers .gif, .,jpg, ,.jpeg, .png ou .css.
@@ -749,5 +749,5 @@
 ConvertToPlug.convert_to.pagedimg_png:Format PNG.  # Updated 13-Mar-2006
 
-ConvertToPlug.desc:Ce plugin est hÃ©ritÃ© par des plugins comme WORDPlug et PDFPlug. Il facilite la convertion de ces types de documents en HTML ou Text en dÃ©finissant une variable qui instruit ConvertTBasPlug comment procÃ©der. Il fonctionne en hÃ©ritant de maniÃšre dynamique HTMLPlug ou TextPlug, basÃ© sur un argument plugin 'convert to' Si l'argument n'est pas prÃ©sent, HTMLPlug est hÃ©ritÃ© par dÃ©faut.  # Updated 13-Mar-2006
+ConvertToPlug.desc:Ce plugiciel est hÃ©ritÃ© par des plugiciels tels que WordPlug, PPTPlug, PSPlug, RTFPlug et PDFPlug. Il facilite la conversion de ces types de documents Ã  la fois en HTML, TEXT ou en une sÃ©rie d'images. Il agit par chargement dynamique d'un plugiciel secondaire (HTMLPlug, StructuredHTMLPlug, PagedImgPlug ou TEXTPlug) basÃ© sur l'argument du plugiciel  'convert_to '.  # Updated 6-Dec-2007 by Georges Braoudakis
 ConvertToPlug.keep_original_filename:Conserver le nom de fichier original pour le fichier associÃ©, plutÃŽt que de le convertir en doc.pdf, doc.doc etc  # Updated 4-Dec-2007 by Georges Braoudakis
 ConvertToPlug.use_strings:Si dÃ©fini, une simple fonction de chaÃ®ne sera appelÃ©e pour extraire le texte si l'utilitaire de conversion Ã©choue.
@@ -757,9 +757,9 @@
 CSVPlug.desc:Un plugiciel pour les fichiers en format de valeurs sÃ©parÃ©s par des virgules. Un nouveau document sera crÃ©Ã© pour chaque ligne du fichier.  # Updated 4-Dec-2007 by Georges Braoudakis
 
-DBPlug.desc:Utilise des enregistrements d'une base de donnÃ©es comme documents.
+DBPlug.desc:Un plugiciel qui importe des enregistrements d'une base de donnÃ©es. Il utilise le module de perl DBI, qui comprend des dorsaux pour mysql, postgresql-client, valeurs sÃ©parÃ©es par des virgules (CSV), MS Excel, ODBC, sybase, etc ... Des modules supplÃ©mentaires doivent Ãªtre installÃ©s pour utiliser cela. Voir <GSDLHOME>/etc/packages/example.dbi pour un exemple de fichier de configuration.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 DBPlug.title_sub:Expression de substitution pour modifier une chaÃ®ne enregistrÃ©e titre. UtilisÃ©e, par exemple, par PSPlug pour supprimer ''Page1'' etc du texte utilisÃ© comme titre.
 
-DSpacePlug.desc:DSpacePlug lit la collection Export DSpace et son fichier dublin_core metadata, et convertit Ã  compliance GSII  # Updated 12-Mar-2006
+DSpacePlug.desc:DSpacePlug prend une collection de documents exportÃ©s de DSpace et les importe dans Greenstone.  # Updated 6-Dec-2007 by Georges Braoudakis
 	
 DSpacePlug.first_inorder_ext:Ceci est utilisÃ© pour identifier le rÃ©seau primaire de collection de documents DSpace. Avec cette option, le systÃšme traitera les ext types dÃ©finits de documents en sÃ©quence pour chercher le possible rÃ©seau primaire.  # Updated 12-Mar-2006
@@ -775,9 +775,9 @@
 EMAILPlug.split_exp:Une expression ordinaire perl utilisÃ©e pour scinder les fichiers contenant plusieurs messages en documents sÃ©parÃ©s.
 
-ExcelPlug.desc:Un Plugin pour importer des fichiers Microsoft Excel.
+ExcelPlug.desc:Un plugiciel pour importer des fichiers Microsoft Excel (les versions 95 et 97).  # Updated 6-Dec-2007 by Georges Braoudakis
 
 FOXPlug.desc:Plugin pour traiter un fichier Foxbase dbt. Ce plugin fournit une fonctionnalitÃ© de base pour lire dans les fichiers dbt et dbf et traiter chaque enregistrement. Ce plugin gÃ©nÃ©ral devrait Ãªtre remplacÃ© pour une base de donnÃ©es particuliÃšre afin de traiter les champs appropriÃ©s.
 
-GAPlug.desc:Traite les documents XML de GreenstoneArchive. Notez que ce plugin ne corrige pas la syntaxe (bien que le module XML: :Parser vÃ©rifie l'exactitude de la forme). Il est supposÃ© que les fichiers GreenstoneArchive sont conformes Ã  leur DTD.
+GAPlug.desc:Traite les documents des Archives Greenstone XML. Notez que ce plugiciel ne fait pas le teste la syntaxe (bien que le module XML:: Parser teste pour des documents bien-formÃ©s). Il est supposÃ© que les fichiers d'Archives Greenstone se conforment Ã  leur DTD.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 GISBasPlug.extract_placenames:Extrait le nom des emplacements du texte et les considÃ©rer comme mÃ©ta-donnÃ©es. NÃ©cessite l'installation d'une extension GIS Ã  Greenstone.
@@ -787,5 +787,5 @@
 GISBasPlug.place_list:Lors de l'extraction des emplacements, contient la liste des noms d'emplacements au dÃ©but du document. NÃ©cessite l'installation d'une extension GIS Ã  Greenstone.
 
-GMLPlug.desc:Plugin qui traite un document au format GML suppose que toutes les balises GML sont en minuscule.
+GMLPlug.desc:Plugiciel qui traite un document au format GML. Il suppose que les balises GML sont toutes en minuscules.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 HBPlug.desc:Plugin qui traite un rÃ©pertoire de livres en HTML. Ce plugin est utilisÃ© par les collections Humanity Library et ne traite pas d' encodages d'entrÃ©e autres ascii et ascii Ã©tendu. Ce code n'est pas du tout joli et on pourrait le rendre plus rapide. En le laissant tel quel, j'espÃšre encourager les gens Ã  Ã  construire leurs collections en utilisant plutÃŽt HBSPlug ;-) \n\n Utilisez HBSPlug pour crÃ©er une nouvelle collection et pour marquer des fichiers comme les collections Humanity Library Collections. HBSPlug accepte tous les encodages d'entrÃ©e mais exige que les fichiers marquÃ©s soient plus propres que ceux utilisÃ©s par les collections Human Library.
@@ -795,5 +795,5 @@
 HTMLPlug.desc:Ce plugin traite les fichiers HTML
 
-HTMLPlug.description_tags:Divise le document en sous-sections oÃ¹ apparaissent des balises <Section>. Notez qu'en dÃ©finissant cette option, vous dÃ©finissez de faÃ§on implicite -no_metadata puisque toutes les mÃ©ta-donnÃ©es doivent Ãªtre incluses entre les signes <Sections>. '-keep_head' n'aura non plus aucun effet si cette option est dÃ©finie.
+HTMLPlug.description_tags:Scinder le document en sous-sections oÃ¹ exitent des balises<Section> . '- Keep_head "n'aura aucun effet si cette option est activÃ©e.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 HTMLPlug.extract_style:Extraire le style et le script informations de la balise HTML <head> et enregistrer sous DocumentHeader mÃ©tadonnÃ©es. Ce sera fixÃ© dans la page document comme la macro _document: documentheader_ .  # Updated 4-Dec-2007 by Georges Braoudakis
@@ -863,5 +863,5 @@
 MARCXMLPlug.metadata_mapping_file:Nom de fichier qui comprend les dÃ©tails de la correspondance  des valeurs MARC  vers les noms des mÃ©tadonnÃ©es Greenstone. Les valeurs par dÃ©faut sont dans  'marctodc.txt',  trouvÃ© dans le rÃ©pertoire etc du site.  # Updated 4-Dec-2007 by Georges Braoudakis
 
-MediaWikiPlug.desc:Plugiciel pour importer pages Web MediaWiki   # Updated 5-Dec-2007 by Georges Braoudakis
+MediaWikiPlug.desc:Plugiciel pour importer pages Web MediaWiki  # Updated 5-Dec-2007 by Georges Braoudakis
 
 MediaWikiPlug.show_toc:Ajouter Ã  la page "A propo"s de la collection la page "Table des matiÃšres" sur la page principale du site de MediaWiki. Besoin de spÃ©cifier ci-dessous une expression rÃ©guliÃšre Perl dans toc_exp  pour correspondre Ã  la section de  "table des matiÃšres".  # Updated 5-Dec-2007 by Georges Braoudakis
@@ -885,5 +885,5 @@
 MetadataPass.desc:Classe de base Ã  BasPlug qui permet l'utilisation des plugins mÃ©ta-donnÃ©e, utilise la passe metadata_read de import.pl
 
-METSPlug.desc:Traite des documents METS de style Greenstone    # Updated 5-Dec-2007 by Georges Braoudakis
+METSPlug.desc:Traite des documents METS de style Greenstone  # Updated 5-Dec-2007 by Georges Braoudakis
 
 GISBasPlug.desc:Classe base de-cÃŽtÃ© pour BasPLug qui supporte les capabilitÃ©s GIS  # Updated 13-Mar-2006
@@ -904,5 +904,5 @@
 OpenDocumentPlug.desc:Module externe pour documents au format OASIS OuvrirDocument (utilisÃ©s par OpenOffice 2.0)  # Updated 12-Mar-2006
 
-PagedImgPlug.desc:Ajouter Plugin pour les documents construits a partir d'une chaine d'images, avec l'option texte OCR pour chaque image.
+PagedImgPlug.desc:Plugiciel pour des documents constituÃ©s d'une suite d'images, avec la possibilitÃ© de texte OCR pour chaque image. Ce plugiciel traite des fichiers .item qui listent  la sÃ©quence des images et des fichiers texte, et fournit des mÃ©tadonnÃ©es.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 PagedImgPlug.documenttype:Met le type de document (utilisÃ© pour le display)
@@ -923,5 +923,5 @@
 PDFPlug.complex:CrÃ©e une sortie plus complexe. Avec la dÃ©finition de cette option, la sortie html va beaucoup plus ressembler au fichier PDF original. Pour que cela fonctionne correctement, il faut que Ghostscript soit installÃ© (pour *nix, gs doit Ãªtre dans la dÃ©finition de chemins, pendant que pour windows, vous devez avoir gswin32c.exe sur votre chemin).
 
-PDFPlug.desc:Plugin pdf "reasonably with-it"
+PDFPlug.desc:Plugiciel qui traite  les documents PDF.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 PDFPlug.nohidden:EmpÃªche pdftohtml de chercher Ã  extraire du texte cachÃ©. Cela n'est utile que si l'option -complex est Ã©galement dÃ©finie.
@@ -937,5 +937,5 @@
 PPTPlug.windows_scripting:Utilisez la technologie de scriptage de Microsoft Windows (Visuel Basique pour Applications) pour que PPT puisse convertir le document Ã  plusieures types d' images (e.g. JPEG, PNG, GIF) au lieu de dÃ©pendre de la source ouverte du paquet ppttohtml.  # Updated 12-Mar-2006
 
-ProCitePlug.desc:Un plugiciel pour des bases de donnÃ©es ProCite (exportÃ©es)   # Updated 5-Dec-2007 by Georges Braoudakis
+ProCitePlug.desc:Un plugiciel pour des bases de donnÃ©es ProCite (exportÃ©es)  # Updated 5-Dec-2007 by Georges Braoudakis
 
 PSPlug.desc:Ceci est un convertisseur de texte ps \''bon marchÃ©\''. Si vous Ãªtes sÃ©rieux, pensez Ã  utiliser le paquetage PRESCRIT, qui est disponible pour tÃ©lÃ©chargement Ã  http://www.nzdl/software.html
@@ -953,5 +953,5 @@
 RecPlug.recheck_directories:Une fois le traitement terminÃ© des fichiers dans un rÃ©pertoire d'importation, vÃ©rifiez le rÃ©pertoire pour dÃ©couvrir les nouveaux fichiers crÃ©Ã©s.
 
-RecPlug.use_metadata_files:Lit les mÃ©ta-donnÃ©es Ã  partir de fichiers XML.
+RecPlug.use_metadata_files:(OBSOLETE - PlutÃŽt ajoutez MetadataXMLPlug Ã  la liste des plug-ins) Lit des mÃ©tadonnÃ©es Ã  partir de fichiers de mÃ©tadonnÃ©es XML.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 ReferPlug.desc:ReferPlug lit les fichiers de bibliographie au format Refer.
@@ -973,7 +973,7 @@
 StructuredHTMLPlug.desc:Un plugiciel pour le traitement des documents HTML structurÃ©s, en les scindant en sections basÃ©es sur l'information du style.  # Updated 5-Dec-2007 by Georges Braoudakis
 
-StructuredHTMLPlug.delete_toc:Ãliminez la "Table de Contenus" et la "Liste de Tables" du fichier convertit Ã  HTML.  # Updated 12-Mar-2006
-
-StructuredHTMLPlug.title_header:installez le style d' utilisateur-dÃ©finit possible pour l 'entÃªte.  # Updated 12-Mar-2006
+StructuredHTMLPlug.delete_toc:Retirez toute table des matiÃšres, liste des figures, etc du fichier HTML converti. Des styles pour cela sont spÃ©cifiÃ©s par l'option toc_header.   # Updated 6-Dec-2007 by Georges Braoudakis
+
+StructuredHTMLPlug.title_header:Styles possibles dÃ©finis par l'utilisateur pour le titre d'en-tÃªte   # Updated 6-Dec-2007 by Georges Braoudakis
 
 StructuredHTMLPlug.level1_header:possibles styles d' utilisateur-dÃ©finit pour l' entÃªte de niveau1 dans le document au format HTML (Ã©quivalent Ã  <h1>).  # Updated 13-Mar-2006
@@ -981,7 +981,7 @@
 StructuredHTMLPlug.level2_header:possibles styles d' utilisateur-dÃ©finit pour le niveaux2 d' entÃªte dans le document au format HTML (Ã©quivalent Ã  <h2>).  # Updated 12-Mar-2006
 
-StructuredHTMLPlug.level3_header:possible styles dÃ©finits d' utilisateur pour l' entÃªte du niveau 3 dans le document au format HTML (Ã©quivalent <h3>).  # Updated 12-Mar-2006
-
-StructuredHTMLPlug.toc_header:possible styles d' entÃªte d' utilisatuer-dÃ©finit pour le TOC.  # Updated 13-Mar-2006
+StructuredHTMLPlug.level3_header:Styles possibles dÃ©finis par l'utilisateur pour l'en-tÃªte level3 dans le document HTML (Ã©quivalent Ã  <h3>).    # Updated 6-Dec-2007 by Georges Braoudakis
+
+StructuredHTMLPlug.toc_header:Styles possibles d'en-tÃªte dÃ©finies par l'utilisateur pour la table des matiÃšres, tableau de figures, etc, devront Ãªtre Ã©liminÃ©s si delete_toc est positionnÃ©.  # Updated 6-Dec-2007 by Georges Braoudakis
 
 TEXTPlug.desc:CrÃ©e un document Ã  niveau unique. Ajoute une mÃ©ta-donnÃ©e de Titre de premiÃšre ligne de texte (jusqu'Ã  100 caractÃšres).
@@ -1080,5 +1080,5 @@
 OAIDownload.get_doc_disp:Obtenir le document  # Updated 5-Dec-2007 by Georges Braoudakis
 OAIDownload.get_doc:TÃ©lÃ©charger le document source si il'est spÃ©cifiÃ© dans l'enregistrement  # Updated 5-Dec-2007 by Georges Braoudakis
-OAIDownload.max_records_disp:Maximum d'enregistrements   # Updated 5-Dec-2007 by Georges Braoudakis
+OAIDownload.max_records_disp:Maximum d'enregistrements  # Updated 5-Dec-2007 by Georges Braoudakis
 OAIDownload.max_records:Nombre maximum d'enregistrements Ã  tÃ©lÃ©charger  # Updated 5-Dec-2007 by Georges Braoudakis
 
@@ -1086,6 +1086,6 @@
 
 WebDownload.desc:Un module de tÃ©lÃ©chargement Ã  partir d'Internet via HTTP ou FTP  # Updated 5-Dec-2007 by Georges Braoudakis
-WebDownload.url:URL Source    # Updated 5-Dec-2007 by Georges Braoudakis
-WebDownload.url_disp:URL Source    # Updated 5-Dec-2007 by Georges Braoudakis
+WebDownload.url:URL Source  # Updated 5-Dec-2007 by Georges Braoudakis
+WebDownload.url_disp:URL Source  # Updated 5-Dec-2007 by Georges Braoudakis
 WebDownload.depth:Jusqu'Ã  quelle profondeur d'hyperliens aller lors du tÃ©lÃ©chargement  # Updated 5-Dec-2007 by Georges Braoudakis
 WebDownload.depth_disp:Profondeur de tÃ©lÃ©chargement  # Updated 5-Dec-2007 by Georges Braoudakis
@@ -1108,6 +1108,5 @@
 Z3950Download.host_disp:HÃŽte mandataire  # Updated 5-Dec-2007 by Georges Braoudakis
 Z3950Download.port:NumÃ©ro de port du dÃ©pÃŽt  # Updated 5-Dec-2007 by Georges Braoudakis
-Z3950Download.port_disp:Port
-  # Updated 5-Dec-2007 by Georges Braoudakis
+Z3950Download.port_disp:Port  # Updated 5-Dec-2007 by Georges Braoudakis
 Z3950Download.database:Base de donnÃ©es pour y rechercher des documents  # Updated 5-Dec-2007 by Georges Braoudakis
 Z3950Download.database_disp:Base de donnÃ©es  # Updated 5-Dec-2007 by Georges Braoudakis
@@ -1115,5 +1114,5 @@
 Z3950Download.find_disp:Trouvez  # Updated 5-Dec-2007 by Georges Braoudakis
 Z3950Download.max_records:Nombre maximum d'enregistrements Ã  tÃ©lÃ©charger  # Updated 5-Dec-2007 by Georges Braoudakis
-Z3950Download.max_records_disp:Maximum d'enregistrements   # Updated 5-Dec-2007 by Georges Braoudakis
+Z3950Download.max_records_disp:Maximum d'enregistrements  # Updated 5-Dec-2007 by Georges Braoudakis
 
 