Index: /gli/trunk/help/en/help.xml
===================================================================
--- /gli/trunk/help/en/help.xml	(revision 14906)
+++ /gli/trunk/help/en/help.xml	(revision 14907)
@@ -179,7 +179,7 @@
 </Title>
 <Text id="76">Use the <AutoText key="glidict::GUI.Enrich"/> view to assign metadata to the documents in the collection. Metadata is data about data -- typically title, author, creation date, and so on.  Each metadata item has two parts: <AutoText key="glidict::Metadata.Element"/> tells what kind of item it is (such as author), and <AutoText key="glidict::Metadata.Value"/> gives the value of that metadata element (such as the author's name).</Text>
-<Text id="77">On the left of the <AutoText key="glidict::GUI.Enrich"/> view is the Collection Tree. All the right-click functionality that was available for the Collection Tree in the <AutoText key="glidict::GUI.Gather"/> view is available here too. To the right is the Metadata Table, which shows metadata for any selected files or folders in the Collection Tree.  Columns are named in grey at the top, and can be resized by dragging the separating line. If several files or folders are selected, black text indicates that the value is common to all of the selected items, while grey text indicates that it is not. Editing grey values will only affect those documents with that metadata. Any new metadata values entered will be added to all selected values.</Text>
+<Text id="77">On the left of the <AutoText key="glidict::GUI.Enrich"/> view is the Collection Tree. All the right-click functionality that was available for the Collection Tree in the <AutoText key="glidict::GUI.Gather"/> view is available here too. To the right is the Metadata Table, which shows metadata for any selected files or folders in the Collection Tree.  Columns are named in black at the top, and can be resized by dragging the separating line. If several files or folders are selected, black text indicates that the value is common to all of the selected items, while grey text indicates that it is not. Editing grey values will only affect those documents with that metadata. Any new metadata values entered will be added to all selected items.</Text>
 <Text id="78">A folder icon may appear beside some metadata entries.  This indicates that the values are inherited from a parent (or ancestor) folder.  Inherited metadata cannot be edited or removed, only appended to or overwritten.  Click on the folder icon to go immediately to the folder where the metadata is assigned.</Text>
-<Text id="79">Clicking on a metadata element in the table will display the existing values for that element in the <AutoText key="glidict::EnrichPane.ExistingValues" args="..."/> area below the table. This "Value Tree" expands and collapses.  Usually it is a list that shows all values entered previously for the selected element.  Clicking an entry automatically places it into the value field.  Conversely, typing in the text field selects the Value Tree entry that starts with the characters you have typed.  Pressing [Tab] auto-completes the typing with the selected value.</Text>
+<Text id="79">Clicking on a metadata element in the table will display the existing values for that element in the <AutoText key="glidict::EnrichPane.ExistingValues" args="..."/> area below the table. This "Value Tree" expands and collapses.  Usually it is a list that shows all values entered previously for the selected element.  Clicking an entry automatically places it into the value field.  Conversely, typing in the value field selects the Value Tree entry that starts with the characters you have typed.  Pressing [Tab] auto-completes the typing with the selected value.</Text>
 <Text id="80">Metadata values can be organized into a hierarchy. This is shown in the Value Tree using folders for internal levels. Hierarchical values can be entered using the character "|" to separate the levels. For example, "Cards|Red|Diamonds|Seven" might be used in a hierarchy that represents a pack of playing cards. This enables values to be grouped together. Groups can also be assigned as metadata to files.</Text>
 <Text id="81">Greenstone extracts metadata automatically from documents into a metadata set whose elements are prefixed by "ex.".  This has no value tree and cannot be edited. </Text>
@@ -197,5 +197,5 @@
 <Text id="84e">Note: the Greenstone Editor for Metadata Sets can be run independently of GLI by selecting it from the Greenstone folder in the Start menu, or by running gens.sh or gems.bat in the gli folder of your Greenstone installation.</Text>
 <Text id="84f">Sometimes two metadata sets may have the same namespace, for example, Dublin Core and Qualified Dublin Core both use the namespace "dc". Such sets cannot be used in the collection at the same time. If you try to add a set with a namespace already used by the collection, a warning will be shown. If you go ahead, the existing set will be removed and the new one added. Any assigned metadata values will be transferred to the new set providing those elements still exist.</Text>
-<Text id="191">With GEMS upi can edit existing metadata sets as well as create new ones. Clicking the "Edit" button launches GEMS with the specified metadata set open. Once you have finished editing the set (as described above), save it (File->Save) and close GEMS.</Text>
+<Text id="191">With GEMS you can edit existing metadata sets as well as create new ones. Clicking the "Edit" button launches GEMS with the specified metadata set open. Once you have finished editing the set (as described above), save it (File->Save) and close GEMS.</Text>
 <Text id="192">If a collection no longer needs a metadata set, select it and press "Remove". If you have assigned any metadata to its elements you will be asked how to deal with this metadata when you next open the collection.</Text>
 </Section>
@@ -287,5 +287,5 @@
 <Text id="si-7">To edit an index, select it and click <AutoText key="glidict::CDM.IndexManager.Edit_Index"/>. A similar dialog to the <AutoText key="glidict::CDM.IndexManager.New_Index"/> one is shown. </Text>
 <Text id="si-8">To remove an index, select it from the list of Assigned indexes and click <AutoText key="glidict::CDM.IndexManager.Remove_Index"/>.</Text>
-<Text id="si-9">The order that the indexes are specified in the Assigned Indexes list is the order they appear in the drop down menu on the search page. Use the <AutoText key="glidict::CDM.Move.Move_Up"/> and <AutoText key="glidict::CDM.Move.Move_Up"/> buttons to change this ordering. </Text>
+<Text id="si-9">The order in which the indexes are specified in the Assigned Indexes list is the order they appear in the drop down menu on the search page. Use the <AutoText key="glidict::CDM.Move.Move_Up"/> and <AutoText key="glidict::CDM.Move.Move_Up"/> buttons to change this ordering. </Text>
 <Text id="si-10">The one that is selected by default on the search page is called the "default index". This can be set by selecting an index from the list and clicking "Set Default". The default index is tagged with "[Default Index]" in the "Assigned Indexes" list. If no default index is set, the first one in the list will be used as the default.</Text>
 <Text id="si-11">The names used for the drop-down list of indexes on the search page can be set in the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> part of the <AutoText key="glidict::GUI.Format"/> panel (see <Reference target="searchmetadatasettings"/>).</Text>