Index: dexers/trunk/mg/WIN32cfg.h
===================================================================
--- /indexers/trunk/mg/WIN32cfg.h	(revision 14915)
+++ 	(revision )
@@ -1,163 +1,0 @@
-/* config.h.  Generated automatically by configure.  */
-/* config.h.in.  Generated automatically from configure.in by autoheader.  */
-
-/* Define if on AIX 3.
-   System headers sometimes define this.
-   We just want to avoid a redefinition error message.  */
-#ifndef _ALL_SOURCE
-/* #undef _ALL_SOURCE */
-#endif
-
-/* Define if using alloca.c.  */
-/* #undef C_ALLOCA */
-
-/* Define to empty if the keyword does not work.  */
-/* #undef const */
-
-/* Define to one of _getb67, GETB67, getb67 for Cray-2 and Cray-YMP systems.
-   This function is required for alloca.c support on those systems.  */
-/* #undef CRAY_STACKSEG_END */
-
-/* Define if you have alloca, as a function or macro.  */
-#define HAVE_ALLOCA 1
-
-/* Define if you have <alloca.h> and it should be used (not on Ultrix).  */
-/* #define HAVE_ALLOCA_H 1 */
-
-/* Define if you don't have vprintf but do have _doprnt.  */
-/* #undef HAVE_DOPRNT */
-
-/* Define if you have the vprintf function.  */
-#define HAVE_VPRINTF 1
-
-/* Define if on MINIX.  */
-/* #undef _MINIX */
-
-/* Define to `long' if <sys/types.h> doesn't define.  */
-/* #undef off_t */
-
-/* Define if the system does not provide POSIX.1 features except
-   with this defined.  */
-/* #undef _POSIX_1_SOURCE */
-
-/* Define if you need to in order for stat and other things to work.  */
-/* #undef _POSIX_SOURCE */
-
-/* Define as the return type of signal handlers (int or void).  */
-#define RETSIGTYPE void
-
-/* Define to `unsigned' if <sys/types.h> doesn't define.  */
-/* #undef size_t */
-
-/* If using the C implementation of alloca, define if you know the
-   direction of stack growth for your system; otherwise it will be
-   automatically deduced at run-time.
-	STACK_DIRECTION > 0 => grows toward higher addresses
-	STACK_DIRECTION < 0 => grows toward lower addresses
-	STACK_DIRECTION = 0 => direction of growth unknown
- */
-/* #undef STACK_DIRECTION */
-
-/* Define if you have the ANSI C header files.  */
-#define STDC_HEADERS 1
-
-/* Define if you can safely include both <sys/time.h> and <time.h>.  */
-/* #define TIME_WITH_SYS_TIME 1 */
-
-/* Define if your <sys/time.h> declares struct tm.  */
-/* #undef TM_IN_SYS_TIME */
-
-/* Define to the name of the distribution.  */
-#define PACKAGE "mg"
-
-/* Define to the version of the distribution.  */
-#define VERSION "1.2"
-
-/* Define to 1 if you have the valloc function.  */
-/* #define HAVE_VALLOC 1 */
-
-/* Define to 1 if ANSI function prototypes are usable.  */
-#define PROTOTYPES 1
-
- 
-/* Define to 1 for better use of the debugging malloc library.  See
-   site ftp.antaire.com in antaire/src, file dmalloc/dmalloc.tar.gz.  */
-/* #undef WITH_DMALLOC */
-
- 
-/* Define to 1 if GNU regex should be used instead of GNU rx.  */
-/* #undef WITH_REGEX */
-
-/* Some braindead header files do not have the requ'd function declarations */
-#define HAVE_FGETC_DECL 1
-#define HAVE_FREAD_DECL 1
-
-/* See if have this field in the prstatus_t structure */
-/* It stores the size of the process heap */
-/* #define HAVE_PR_BRKSIZE 1 */
-
-/* Define if you have the ftime function.  */
-/* #undef HAVE_FTIME */
-
-/* Define if you have the getpagesize function.  */
-/* #undef HAVE_GETPAGESIZE */
-
-/* Define if you have the getrusage function.  */
-/* #undef HAVE_GETRUSAGE */
-
-/* Define if you have the mallinfo function.  */
-/* #undef HAVE_MALLINFO */
-
-/* Define if you have the select function.  */
-#define HAVE_SELECT 1
-
-/* Define if you have the setbuffer function.  */
-/* #undef HAVE_SETBUFFER */
-
-/* Define if you have the strftime function.  */
-#define HAVE_STRFTIME 1
-
-/* Define if you have the strtol function.  */
-#define HAVE_STRTOL 1
-
-/* Define if you have the times function.  */
-/* #define HAVE_TIMES 1 */
-
-/* Define if you have the valloc function.  */
-/* #define HAVE_VALLOC 1 */
-
-/* Define if you have the <dirent.h> header file.  */
-/* #define HAVE_DIRENT_H 1 */
-
-/* Define if you have the <fcntl.h> header file.  */
-#define HAVE_FCNTL_H 1
-
-/* Define if you have the <limits.h> header file.  */
-#define HAVE_LIMITS_H 1
-
-/* Define if you have the <memory.h> header file.  */
-#define HAVE_MEMORY_H 1
-
-/* Define if you have the <ndir.h> header file.  */
-/* #undef HAVE_NDIR_H */
-
-/* Define if you have the <string.h> header file.  */
-#define HAVE_STRING_H 1
-
-/* Define if you have the <sys/dir.h> header file.  */
-/* #undef HAVE_SYS_DIR_H */
-
-/* Define if you have the <sys/ndir.h> header file.  */
-/* #undef HAVE_SYS_NDIR_H */
-
-/* Define if you have the <sys/procfs.h> header file.  */
-/* #define HAVE_SYS_PROCFS_H 1 */
-
-/* Define if you have the <sys/time.h> header file.  */
-/* #define HAVE_SYS_TIME_H 1 */
-
-/* Define if you have the <unistd.h> header file.  */
-/* #define HAVE_UNISTD_H 1 */
-
-/* Define if you have the m library (-lm).  */
-#define HAVE_LIBM 1
Index: dexers/trunk/mg/lib/WIN32.MAK
===================================================================
--- /indexers/trunk/mg/lib/WIN32.MAK	(revision 14915)
+++ 	(revision )
@@ -1,91 +1,0 @@
-###########################################################################
-#
-# win32 makefile -- mg\lib
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
-#
-# Copyright (C) 1999  The New Zealand Digital Library Project
-#
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
-###########################################################################
- 
-MGHOME = ..
-
-AR = lib
-CC = cl
-CPPFLAGS = 
-
-DEFS = -DQUIET -DHAVE_CONFIG_H -D__WIN32__ -D_LITTLE_ENDIAN -DPARADOCNUM \
-       -DSHORT_SUFFIX
-
-INCLUDES = -I"." -I"$(MGHOME)"
-
-COMPILE = $(CC) -c $(DEFS) $(INCLUDES)
- 
-.SUFFIXES: .c .obj
-.c.obj:
-	$(COMPILE) $<
-
-o = .obj
- 
-HEADERS = \
-    bitio_m_random.h   filestats.h        local_strings.h    lovinstem.h \
-    bitio_m_stdio.h    getopt.h           memlib.h \
-    bitio_gen.h        bitio_mem.h        mgheap.h             messages.h \
-    bitio_m.h          bitio_mems.h       huffman.h          timing.h \
-    bitio_m_mem.h      bitio_random.h     huffman_mem.h      perf_hash.h \
-    bitio_m_mems.h     bitio_stdio.h      huffman_stdio.h    sptree.h \
-                       rx.h               pathmax.h          getpagesize.h \
-    random.h           win32in.h          simplefrenchstem.h unitool.h \
-    longlong.h	
-
-SOURCES = \
-    bitio_random.c    mgheap.c          memlib.c \
-    bitio_stdio.c     huffman.c         messages.c \
-    bitio_gen.c       filestats.c       huffman_mem.c     perf_hash.c \
-    bitio_mem.c       getopt.c          huffman_stdio.c   sptree.c \
-    bitio_mems.c      getopt1.c         local_strings.c   lovinstem.c \
-    timing.c                            rx.c              \
-    alloca.c          error.c           xmalloc.c         strstr.c \
-    ftruncate.c       strcasecmp.c      random.c          win32in.c \
-    simplefrenchstem.c                  unitool.h
-
-OBJECTS =   rx$o \
-    bitio_random$o    mgheap$o            memlib$o \
-    bitio_stdio$o     huffman$o         messages$o \
-    bitio_gen$o       filestats$o       huffman_mem$o     perf_hash$o \
-    bitio_mem$o       getopt$o          huffman_stdio$o   sptree$o \
-    bitio_mems$o      getopt1$o         local_strings$o   lovinstem$o \
-    timing$o           \
-    error$o           xmalloc$o \
-    random$o          win32in$o         simplefrenchstem$o \
-    unitool$o
- 
-DISTFILES = Makefile.in $(HEADERS) $(SOURCES)
- 
-all : libmglib.lib
-
-libmglib.lib : $(OBJECTS)
-        if exist libmglib.lib del libmglib.lib
-	$(AR) /out:libmglib.lib $(OBJECTS)
-
-install: 
-
-clean:
-        if exist *$o del *$o 
-        if exist libmglib.lib del libmglib.lib
Index: dexers/trunk/mg/src/images/WIN32.MAK
===================================================================
--- /indexers/trunk/mg/src/images/WIN32.MAK	(revision 14915)
+++ 	(revision )
@@ -1,189 +1,0 @@
-# Generated automatically from Makefile.in by configure.
-###########################################################################
-#
-# Makefile.in -- Makefile for the MG system
-# Copyright (C) 1994  Neil Sharman
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
-#       @(#)Makefile.in	1.10 22 Mar 1994
-#
-###########################################################################
-
-MGHOME = ..\..
-# for now put executables in indexers/bin
-INSTALLDIR = ..\..\..\bin
-
-CC = cl
-CPPFLAGS = 
-DEFS = -DHAVE_CONFIG_H -D__WIN32__ -D_LITTLE_ENDIAN
-INCLUDES = -I"." -I"$(MGHOME)" -I"$(MGHOME)\lib"
-LDFLAGS =
-LIBS = $(MGHOME)\lib\libmglib.lib 
- 
-COMPILE = $(CC) -c $(DEFS) $(INCLUDES)
-LINK = $(CC) $(LDFLAGS)
-
-.SUFFIXES:
-.SUFFIXES: .c .obj
-.c.obj:
-	$(COMPILE) $<
- 
-o = .obj
-e = .exe
-
- 
-HEADERS = \
-  arithcode.h     codeoffsets.h   marklist.h      sortmarks.h \
-  basictypes.h    codesyms.h      match.h         utils.h     \
-  bilevel.h       extractor.h     pbmtools.h      model.h
-
-
-SOURCES = \
-  arithcode.c     extractor.c     mgbilevel.c     mgticdump.c     utils.c \
-  bilevel.c       felics.c        mgfelics.c      mgticprune.c    mgticstat.c\
-  codeoffsets.c   marklist.c      mgtic.c         pbmtools.c      lstevent.c \
-  codesyms.c      match.c         mgticbuild.c    sortmarks.c     ppm.c  
-
-
-
-MISC          = Makefile.in 
-
-ALLFILES      =	$(SOURCES) $(HEADERS) $(MISC) $(MAN)
-
-DISTFILES     = $(ALLFILES) 
-
-EXEC          = mgfelics$e mgbilevel$e mgtic$e mgticbuild$e mgticprune$e mgticstat$e \
-                mgticdump$e
-
-MAN           = mgfelics.1 mgbilevel.1 mgtic.1 mgticbuild.1  mgticprune.1 \
-                mgticstat.1 mgticdump.1
-
-# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
-
-
-all: $(EXEC)
-
-
-# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
-
-FELICS_OBJS = felics$o mgfelics$o utils$o
-
-mgfelics$e: $(FELICS_OBJS)
-	$(LINK) $(FELICS_OBJS) $(LIBS)
-
-# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
-
-BILEVEL_OBJS = \
-	arithcode$o bilevel$o extractor$o marklist$o mgbilevel$o \
-	pbmtools$o utils$o
-            
-mgbilevel$e: $(BILEVEL_OBJS)
-	$(LINK) $(BILEVEL_OBJS) $(LIBS)
-
-# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
-
-TIC_OBJS = \
-	mgtic$o extractor$o marklist$o pbmtools$o utils$o match$o \
-	sortmarks$o codesyms$o ppm$o lstevent$o arithcode$o codeoffsets$o bilevel$o
-
-mgtic$e: $(TIC_OBJS) 
-	$(LINK) $(TIC_OBJS) $(LIBS) 
-
-TICBUILD_OBJS = mgticbuild$o extractor$o marklist$o pbmtools$o utils$o
-
-mgticbuild$e: $(TICBUILD_OBJS)
-	$(LINK) $(TICBUILD_OBJS) $(LIBS)
- 
-TICPRUNE_OBJS = \
-	mgticprune$o extractor$o marklist$o pbmtools$o \
-	utils$o match$o
-
-mgticprune$e: $(TICPRUNE_OBJS)
-	$(LINK) $(TICPRUNE_OBJS) $(LIBS)
- 
-TICSTAT_OBJS = mgticstat$o extractor$o marklist$o pbmtools$o utils$o
-
-mgticstat$e: $(TICSTAT_OBJS)
-	$(LINK) $(TICSTAT_OBJS) $(LIBS) 
- 
-TICDUMP = mgticdump$o extractor$o marklist$o pbmtools$o utils$o
-
-mgticdump$e: $(TICDUMP)
-	$(LINK) $(TICDUMP) $(LIBS) 
- 
-# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
-
-#ansi2knr: ansi2knr.o
-#	$(LINK) ansi2knr.o $(LIBS)
-#
-install: execinstall maninstall
-uninstall: execuninstall manuninstall
-
-#execinstall: $(EXEC)
-#	$(top_srcdir)/mkinstalldirs $(bindir); \
-#	for name in $(EXEC); do \
-#	  $(INSTALL_PROGRAM) $$name \
-#	  $(bindir)/`echo $$name | sed '$(transform)'`; \
-#	done
-
-#execuninstall:
-#	for name in $(EXEC); do \
-#	 rm -f $(bindir)/`echo $$name | sed '$(transform)'`; \
-#	done
-
-maninstall: $(MAN)
-	$(top_srcdir)/mkinstalldirs $(mandir); \
-	for f in $(MAN); do \
-	  $(INSTALL_DATA) $$f $(mandir)/$$f ;\
-	done
-
-manuninstall: $(MAN)
-	for f in $(MAN); do \
-	  rm -f $(mandir)/$$f ;\
-	done
-
-
-mostlyclean:
-	if exist *$o del *$o
-	if exist  _*.c del  _*.c
-	if exist _*.o  del  _*.o 
-	if exist *._c  del *._c
-	if exist *._o  del *._o
-	if exist core  del  core
-	if exist core.* del  core.*
- 
-clean: mostlyclean
-	if exist *$e del *$e
- 
-distclean: clean
-	del ansi2knr
-	 
-maintainer-clean: distclean
-	@echo "This command is intended only for maintainers to use;"
-	@echo "rebuilding the deleted files may require special tools."
- 
-#dist: $(DISTFILES)
-#	for file in $(DISTFILES); do \
-#	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
-#	  || cp -p $(srcdir)/$$file $(distdir); \
-#	done
- 
-#Makefile: Makefile.in ../../config.status
-#	cd ../.. && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= ./config.status
- 
-# Tell versions [3.59,3.63) of GNU make not to export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-#.NOEXPORT:
Index: dexers/trunk/mgpp/lib/WIN32.MAK
===================================================================
--- /indexers/trunk/mgpp/lib/WIN32.MAK	(revision 14915)
+++ 	(revision )
@@ -1,96 +1,0 @@
-###########################################################################
-#
-# win32 makefile -- mgpp\lib
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
-#
-# Copyright (C) 1999  The New Zealand Digital Library Project
-#
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
-###########################################################################
-
-MGPPHOME = ..
-
-AR = lib
-CC = cl
-CPPFLAGS = 
-
-DEFS = -DQUIET -DHAVE_CONFIG_H -D__WIN32__ -DSHORT_SUFFIX
-INCLUDES = -I"." -I"$(MGPPHOME)"
-
-COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS)
-
-.SUFFIXES:
-.SUFFIXES: .c .cpp .obj
-.c.obj:
-	$(COMPILE) $<
-.cpp.obj:
-	$(COMPILE) $<
-
-ANSI2KNR = 
-o = .obj
-
-HEADERS = \
-    bitio_m_random.h   local_strings.h    lovinstem.h \
-    bitio_m_stdio.h    memlib.h           netorder.h \
-    bitio_gen.h        mgheap.h           messages.h \
-    bitio_m.h          huffman.h  \
-    bitio_m_mem.h      perf_hash.h \
-    bitio_m_mems.h      \
-    pathmax.h          getpagesize.h      sysfuncs.h         bitio_m_abstract.h  \
-    random.h           simplefrenchstem.h unitool.h	     longlong.h \
-    non_ansi.h         getopt_old.h       win32in.h
-
-
-SOURCES = \
-    mgheap.cpp         \
-    huffman.cpp       messages.cpp \
-    bitio_gen.cpp     perf_hash.cpp \
-    local_strings.cpp lovinstem.cpp \
-    bitio_m_mem.cpp   bitio_m_stdio.cpp bitio_m_mems.cpp \
-    alloca.c          xmalloc.c         strstr.cpp \
-    ftruncate.cpp     strcasecmp.cpp    random.cpp \
-    simplefrenchstem.cpp                unitool.cpp       bitio_m_random.cpp \
-    bitio_m_abstract.cpp                getopt_old.c      win32in.c
-# memlib.cpp removed
-
-
-OBJECTS =  mgheap$o   \
-    huffman$o         messages$o \
-    bitio_gen$o       perf_hash$o \
-     local_strings$o   lovinstem$o \
-    bitio_m_mem$o     bitio_m_stdio$o   bitio_m_mems$o \
-    xmalloc$o         bitio_m_random$o  bitio_m_abstract$o \
-     random$o          simplefrenchstem$o \
-    unitool$o         getopt_old$o      win32in$o
-
- 
-DISTFILES = Makefile.in $(HEADERS) $(SOURCES)
- 
-all : libmgpplib.lib
-
-libmgpplib.lib : $(OBJECTS)
-	if EXIST libmgpplib.lib del libmgpplib.lib
-	$(AR) /out:libmgpplib.lib $(OBJECTS)
-
-$(OBJECTS): "$(MGPPHOME)\win32cfg.h"
-
-install: 
-clean:
-	del *$o 
-	del libmgpplib.lib
Index: dexers/trunk/mgpp/text/WIN32.MAK
===================================================================
--- /indexers/trunk/mgpp/text/WIN32.MAK	(revision 14915)
+++ 	(revision )
@@ -1,193 +1,0 @@
-###########################################################################
-#
-# win32 makefile -- mgpp\lib
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
-#
-# Copyright (C) 1999  The New Zealand Digital Library Project
-#
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
-###########################################################################
-
-MGPPHOME = ..
-# for now put executables in indexers/bin
-INSTALLDIR = ..\..\bin
-AR = lib
-CC = cl
-CPPFLAGS = -GX
-LINK = cl
-
-DEFS = -DQUIET -DHAVE_CONFIG_H -D__WIN32__ -DSHORT_SUFFIX -D__STDC__ -D__GNU_LIBRARY__ -D__MSDOS__
-INCLUDES = -I"." -I"$(MGPPHOME)" -I"$(MGPPHOME)\lib"
-LIBS = $(MGPPHOME)\lib\libmgpplib.lib
-
-COMPILE = $(CC) -c  $(CPPFLAGS) $(DEFS) $(INCLUDES)
-
-.SUFFIXES:
-.SUFFIXES: .c .cpp .obj
-.c.obj:
-	$(COMPILE) $<
-.cpp.obj:
-	$(COMPILE) $<
-
-ANSI2KNR = 
-o = .obj
-e = .exe
-
-HEADERS = \
-  FIvfLevelInfo.h     TextEl.h            hash.h              stemmer.h  \
-  FText.h             TextGet.h           invf.h              text.h     \
-  FileBuf.h           UCArray.h           locallib.h          words.h    \
-  FragLevelConvert.h  WordData.h          mg.h                           \
-  IndexData.h         build.h             mg_errors.h                    \
-  TagInfo.h           comp_dict.h         mg_files.h          Weights.h  \
-  MGQuery.h           Terms.h             QueryLex.h          QueryParser.h \
-  GSDLQueryLex.h	GSDLQueryParser.h
-
-
-SOURCES = \
-  FIvfLevelInfo.cpp        ivf.pass1.cpp            mgpp_invf_dump.cpp       \
-  FText.cpp                ivf.pass2.cpp            mgpp_passes.cpp          \
-  FileBuf.cpp              locallib.cpp             mgpp_perf_hash_build.cpp \
-  FragLevelConvert.cpp     mg.special.cpp           mgpp_stem_idx.cpp        \
-  IndexData.cpp            mgpp_compression_dict.cpp  mgpp_weights_build.cpp   \
-  TagInfo.cpp              mgpp_decompress_text.cpp   stemmer.cpp            \
-  TextEl.cpp               mg_errors.cpp            text.cpp               \
-  TextGet.cpp              mgpp_fast_comp_dict.cpp    text.pass1.cpp         \
-  UCArray.cpp              mg_files.cpp             text.pass2.cpp         \
-  comp_dict.cpp            mgpp_invf_dict.cpp         words.cpp              \
-  invf.cpp                 mgpp_invf_dict_dump.cpp    Weights.cpp            \
-  MGQuery.cpp              Terms.cpp                QueryTester.cpp        \
-  QueryLex.cpp             QueryParser.cpp         \
-  GSDLQueryLex.cpp	   GSDLQueryParser.cpp      Queryer.cpp
-
-
-EXEC          = mgpp_passes$e mgpp_decompress_text$e mgpp_perf_hash_build$e \
-                mgpp_invf_dump$e mgpp_weights_build$e mgpp_invf_dict$e \
-		mgpp_stem_idx$e mgpp_invf_dict_dump$e mgpp_compression_dict$e \
-		mgpp_fast_comp_dict$e QueryTester$e Queryer$e
-
-DISTFILES = Makefile.in $(HEADERS) $(SOURCES)
- 
-all : $(EXEC) libmgpptext.lib libmgpppass.lib
-
-
-PASSES_OBJS = \
-	mgpp_passes$o text.pass1$o comp_dict$o \
-	text.pass2$o locallib$o \
-	ivf.pass1$o ivf.pass2$o mg.special$o mg_files$o \
-	words$o invf$o FileBuf$o TextEl$o UCArray$o TagInfo$o \
-        FText$o text$o FIvfLevelInfo$o
-
-mgpp_passes$e: $(PASSES_OBJS)
-	$(LINK) $(PASSES_OBJS) $(LIBS)
-
-QUERYER_OBJS = Queryer$o mg_files$o mg_errors$o locallib$o invf$o UCArray$o \
-               FIvfLevelInfo$o FragLevelConvert$o Terms$o MGQuery$o \
-               IndexData$o stemmer$o Weights$o TextGet$o text$o FText$o \
-               GSDLQueryParser$o GSDLQueryLex$o words$o
-
-Queryer$e: $(QUERYER_OBJS)
-	$(LINK) $(QUERYER_OBJS) $(LIBS)
-
-QUERY_TESTER_OBJS = QueryTester$o mg_files$o invf$o UCArray$o \
-                    FIvfLevelInfo$o FragLevelConvert$o Terms$o MGQuery$o \
-                    IndexData$o stemmer$o Weights$o
-
-QueryTester$e: $(QUERY_TESTER_OBJS)
-	$(LINK) $(QUERY_TESTER_OBJS) $(LIBS)
-
-WEIGHTS_BUILD_OBJS = mgpp_weights_build$o mg_files$o invf$o UCArray$o \
-                     FIvfLevelInfo$o FragLevelConvert$o
-
-mgpp_weights_build$e: $(WEIGHTS_BUILD_OBJS)
-	$(LINK) $(WEIGHTS_BUILD_OBJS) $(LIBS)
-
-COMP_DICT_OBJS = mgpp_compression_dict$o mg_files$o locallib$o
-
-mgpp_compression_dict$e: $(COMP_DICT_OBJS)
-	$(LINK) $(COMP_DICT_OBJS) $(LIBS)
-
-FAST_COMP_OBJS = mgpp_fast_comp_dict$o mg_files$o locallib$o
-
-mgpp_fast_comp_dict$e: $(FAST_COMP_OBJS)
-	$(LINK) $(FAST_COMP_OBJS) $(LIBS)
-
-INVF_DUMP_OBJS = mgpp_invf_dump$o locallib$o mg_files$o invf$o UCArray$o
-
-mgpp_invf_dump$e: $(INVF_DUMP_OBJS)
-	$(LINK) $(INVF_DUMP_OBJS) $(LIBS)
-
-INVF_DICT_OBJS = mgpp_invf_dict$o mg_files$o invf$o UCArray$o
-
-mgpp_invf_dict$e: $(INVF_DICT_OBJS)
-	$(LINK) $(INVF_DICT_OBJS) $(LIBS)
-
-INVF_DICT_DUMP_OBJS = mgpp_invf_dict_dump$o mg_files$o invf$o UCArray$o
-
-mgpp_invf_dict_dump$e: $(INVF_DICT_DUMP_OBJS)
-	$(LINK) $(INVF_DICT_DUMP_OBJS) $(LIBS)
-
-PERF_HASH_OBJS = mgpp_perf_hash_build$o mg_files$o invf$o UCArray$o
-
-mgpp_perf_hash_build$e: $(PERF_HASH_OBJS)
-	$(LINK) $(PERF_HASH_OBJS) $(LIBS)
-
-STEM_IDX_OBJS = mgpp_stem_idx$o mg_files$o stemmer$o \
-                invf$o UCArray$o
-
-mgpp_stem_idx$e: $(STEM_IDX_OBJS)
-	$(LINK) $(STEM_IDX_OBJS) $(LIBS)
-
-DECOMPRESS_TEXT_OBJS = \
-                mgpp_decompress_text$o mg_files$o mg_errors$o \
-                locallib$o text$o UCArray$o TextGet$o FText$o
-
-mgpp_decompress_text$e: $(DECOMPRESS_TEXT_OBJS)
-	$(LINK) $(DECOMPRESS_TEXT_OBJS) $(LIBS)
-
-
-LIB_OBJS = mg_files$o  mg_errors$o locallib$o invf$o UCArray$o \
-           FIvfLevelInfo$o FragLevelConvert$o Terms$o MGQuery$o \
-           IndexData$o stemmer$o Weights$o TextGet$o text$o FText$o \
-           GSDLQueryParser$o GSDLQueryLex$o words$o
-
-libmgpptext.lib: $(LIB_OBJS)
-        if exist libmgpptext.lib del libmgpptext.lib
-        $(AR) /out:libmgpptext.lib $(LIB_OBJS)
-
-JNI_LIB_OBJS = \
-	mgpp_passes_4jni$o text.pass1$o comp_dict$o \
-	text.pass2$o locallib$o \
-	ivf.pass1$o ivf.pass2$o mg.special$o mg_files$o \
-	words$o invf$o FileBuf$o TextEl$o UCArray$o TagInfo$o \
-        FText$o text$o FIvfLevelInfo$o
-
-libmgpppass.lib: $(JNI_LIB_OBJS)
-	if exist libmgpppass.lib del libmgpppass.lib
-	$(AR) /out:libmgpppass.lib $(JNI_LIB_OBJS)
-
-install: 
-	if not exist "$(INSTALLDIR)" mkdir "$(INSTALLDIR)"
-	for %%i in ($(EXEC)) do \
-	  copy %%i "$(INSTALLDIR)"
- 
-clean:
-	del *$o 
-        del libmgpptext.lib libmgpppass.lib
-