Index: gli/branches/2.80/help/fr/selectingmetadatasets.htm
===================================================================
--- gli/branches/2.80/help/fr/selectingmetadatasets.htm	(revision 14897)
+++ gli/branches/2.80/help/fr/selectingmetadatasets.htm	(revision 14919)
@@ -14,5 +14,5 @@
 <p>Les s&eacute;ries d'&eacute;l&eacute;ments de m&eacute;ta-donn&eacute;es pr&eacute;d&eacute;finis sont connus comme "jeux de M&eacute;ta-donn&eacute;es". "Dublin Core" en est un exemple. Quand on ajoute un Groupe de M&eacute;ta-donn&eacute;es &agrave; la collection, ses &eacute;l&eacute;ments peuvent &ecirc;tre s&eacute;lectionn&eacute;s. On peut avoir plus d'un jeu de m&eacute;ta-donn&eacute;es ; pour &eacute;viter des t&eacute;lescopages de nom, un identificateur abr&eacute;g&eacute; qui identifie le jeu de m&eacute;ta-donn&eacute;es est suspendu au nom de l'&eacute;l&eacute;ment. Par exemple l'&eacute;lement cr&eacute;ateur de Dublin Core devient "dc.Creator". Les jeux de m&eacute;ta-donn&eacute;es sont sauv&eacute;gard&eacute;s dans le dossier de m&eacute;ta-donn&eacute;es de l'Interface Biblioth&eacute;caire et ont le sufixe ".mds".</p>
 
-<p>Quand on cr&eacute;e une nouvelle collection, le jeu de m&eacute;tadonn&eacute;es Dublin Core est ajout&eacute; par d&eacute;faut. Vous pouvez changer les jeux de m&eacute;tadonn&eacute;es utilis&eacute;s dans une collection, en cliquant sur le bouton "G&eacute;rer Jeux de m&eacute;tadonn&eacute;es..." au-dessous de l'arborescence de la collection dans la vue "Enrichir". Ceci fait appara&icirc;tre une nouvelle fen&ecirc;tre pour g&eacute;rer les jeux de m&eacute;tadonn&eacute;es de la collection.</p>
+<p>Quand on cr&eacute;e une nouvelle collection, le jeu de m&eacute;tadonn&eacute;es Dublin Core est ajout&eacute; par d&eacute;faut. Vous pouvez changer les jeux de m&eacute;tadonn&eacute;es utilis&eacute;s dans une collection, en cliquant sur le bouton "G&eacute;rer Jeux de m&eacute;tadonn&eacute;es..." au-dessous de l'Arborescence de la collection dans la vue "Enrichir". Ceci fait appara&icirc;tre une nouvelle fen&ecirc;tre pour g&eacute;rer les jeux de m&eacute;tadonn&eacute;es de la collection.</p>
 
 <p>La liste "Jeux de m&eacute;tadonn&eacute;es assign&eacute;s" vous montre quels jeux sont actuellement utilis&eacute;s par la collection.</p>
@@ -20,5 +20,5 @@
 <p>Pour utiliser une autre jeu de m&eacute;tadonn&eacute;es avec la collection charg&eacute;e, cliquez sur "Ajouter ...". Une fen&ecirc;tre secondaire affiche les jeux de m&eacute;tadonn&eacute;es par d&eacute;faut que GLI reconna&icirc;t. Pour ajouter l'un d'eux, s&eacute;lectionnez-le dans la liste et cliquez sur "Ajouter". Si vous avez d&eacute;fini votre propre jeu de m&eacute;tadonn&eacute;es, vous pouvez utiliser le bouton "Parcourir" pour s&eacute;lectionner le fichier dans votre syst&egrave;me de fichiers.</p>
 
-<p>Pour cr&eacute;er un nouveau jeu de m&eacute;tadonn&eacute;es, cliquez sur "Nouveau ...". Cette op&eacute;ration lance l'Editeur de jeux de m&eacute;tadon&eacute;es de Greenstone, GEMS. Une premi&egrave;re fen&ecirc;tre vous invite &agrave; entrer le nom du jeu de m&eacute;tadon&eacute;es, les noms et la description. Vous pouvez &eacute;galement choisir de baser le nouveau jeu sur un jeu existant, dans ce cas il h&eacute;ritera de tous les &eacute;l&eacute;ments du jeu sp&eacute;cifi&eacute;. Cliquez sur OK. La fen&ecirc;tre principale liste les &eacute;l&eacute;ments du jeu de m&eacute;tadonn&eacute;es sur le c&ocirc;t&eacute; gauche, et certains attributs du jeu sur le c&ocirc;t&eacute; droit. Si vous avez un jeu bas&eacute; sur un jeu existant, un ou plusieurs &eacute;l&eacute;ments seront affich&eacute;s. En cliquant sur un &eacute;l&eacute;m&eacute;nt, ceci affiche les attributs de l'&eacute;l&eacute;ment dans la partie droite.</p>
+<p>Pour cr&eacute;er un nouveau jeu de m&eacute;tadonn&eacute;es, cliquer sur "Nouveau ...". Cette op&eacute;ration lance l'Editeur de jeux de m&eacute;tadon&eacute;es de Greenstone, GEMS. Une premi&egrave;re fen&ecirc;tre vous invite &agrave; entrer le nom du jeu de m&eacute;tadon&eacute;es, l'espace de nom et la description. Vous pouvez &eacute;galement choisir de baser le nouveau jeu sur un jeu existant, dans ce cas il h&eacute;ritera de tous les &eacute;l&eacute;ments du jeu sp&eacute;cifi&eacute;. Cliquer sur OK. La fen&ecirc;tre principale liste les &eacute;l&eacute;ments du jeu de m&eacute;tadonn&eacute;es sur le c&ocirc;t&eacute; gauche, et certains attributs du jeu sur le c&ocirc;t&eacute; droit. Si vous avez un jeu bas&eacute; sur un jeu existant, un ou plusieurs &eacute;l&eacute;ments seront d&eacute;j&agrave; affich&eacute;s. Clic sur un &eacute;l&eacute;m&eacute;nt, les attributs de l'&eacute;l&eacute;ment sont affich&eacute;s dans la partie droite.</p>
 
 <p>Pour ajouter un nouvel &eacute;l&eacute;ment, clic-droit sur le nom du jeu et choisissez "Ajouter l'&eacute;l&eacute;ment". Pour ajouter un nouveau sous-&eacute;l&eacute;ment, clic-droit sur l'&eacute;l&eacute;ment et choisir "Ajouter sous-element". &Eacute;l&eacute;ments et sous-&eacute;l&eacute;ments peuvent &ecirc;tre supprim&eacute;es en s&eacute;lectionnant "Supprimer (sous-) &eacute;l&eacute;ment" dans le menu &agrave; droite.</p>
@@ -28,7 +28,9 @@
 <p>Parfois deux jeux de m&eacute;tadonn&eacute;es peuvent avoir le m&ecirc;me espace de nom, par exemple, le Dublin Core et Dublin Core qualifi&eacute; utilisent l'espace de nom "dc". De tels jeux ne peuvent pas &ecirc;tre utilis&eacute;s dans une collection en m&ecirc;me temps. Si vous essayez d'ajouter un jeu avec un espace de nom d&eacute;j&agrave; utilis&eacute; par la collection, un avertissement est affich&eacute;. Si vous aller de l'avant, le jeu existant sera supprim&eacute; et que le nouveau sera ajout&eacute;. Toutes les valeurs de m&eacute;tadonn&eacute;es d&eacute;j&agrave; assign&eacute;es seront transf&eacute;r&eacute;s au nouveau jeu pourvu que ces &eacute;l&eacute;ments existent encore.</p>
 
-<p>L'&eacute;dition des jeux de m&eacute;tadonn&eacute;es se fait avec l'&eacute;diteur Greenstone de m&eacute;tadonn&eacute;es (GEMS). En cliquant sur le bouton "&Eacute;diter un jeu m&eacute;tadonn&eacute;es" vous obtiendrez des informations sur l'utilisation de GEMS.</p>
+<p>L'&eacute;dition des jeux de m&eacute;tadonn&eacute;es, ainsi que la cr&eacute;ation de nouveaux jeux, se font avec l'&eacute;diteur Greenstone de m&eacute;tadonn&eacute;es (GEMS). En cliquant sur le bouton "&Eacute;diter un jeu m&eacute;tadonn&eacute;es" vous lancez GEMS avec le jeu de m&eacute;tadonn&eacute;es sp&eacute;cifi&eacute; ouvert. Quand vous avez r&eacute;alis&eacute; la r&eacute;vision du jeu (comme d&eacute;crit ci-dessus), sauvegarder le (Fichier-&gt;Sauvegarder) et fermer GEMS.</p>
 
-<p>Si vous n'avez plus besoin d'un jeu m&eacute;tadonn&eacute;es, s&eacute;lectionnez le et clickez sur "Suppression du jeu m&eacute;tadonn&eacute;es" pour l'enlever. Si vous avez affectt&eacute; des m&eacute;tadonn&eacute;es aux &eacute;l&eacute;ments du jeu supprim&eacute;, on vous demandera ce que vous voulez en faire lorsque vous allez ouvrir &agrave; nouveau cette collection.</p>
+<p>Si vous n'avez plus besoin d'un jeu m&eacute;tadonn&eacute;es dans une collection, s&eacute;lectionner le jeu et cliquer sur "Retirer" pour l'enlever. Si vous avez affect&eacute; des m&eacute;tadonn&eacute;es aux &eacute;l&eacute;ments du jeu retir&eacute;, on vous demandera ce que vous voulez en faire lorsque vous allez ouvrir &agrave; nouveau cette collection.
+"
+source::193	"Producing Your Collection</p>
 
 </body>