Index: /gsdl/branches/2.80/perllib/strings_fr.properties
===================================================================
--- /gsdl/branches/2.80/perllib/strings_fr.properties	(revision 14920)
+++ /gsdl/branches/2.80/perllib/strings_fr.properties	(revision 14921)
@@ -107,6 +107,6 @@
 buildcol.sections_index_document_metadata:Niveau du document indexe de metadata au niveau de section  
 buildcol.sections_index_document_metadata.never:Ne pas indexes aucun document metadata Ã  niveau de section.  
-buildcol.sections_index_document_metadata.always:Ajoutez tous les documents de niveau metadata spÃ©cifiÃ©s mÃªme si la section de niveau de metadata avec ce nom existe dÃ©jÃ . 
-buildcol.sections_index_document_metadata.unless_section_metadata_exists:N' ajouter le document de niveau metadata que si le nom de section de niveau metadata n'existe pas. 
+buildcol.sections_index_document_metadata.always:Ajoutez tous les documents de niveau metadata spÃ©cifiÃ©s mÃªme si la section de niveau de metadata avec ce nom existe dÃ©jÃ .  
+buildcol.sections_index_document_metadata.unless_section_metadata_exists:N' ajouter le document de niveau metadata que si le nom de section de niveau metadata n'existe pas.  
 
 buildcol.out:Nom de fichier ou de contrÃŽle vers lequel envoyer le statut de sortie.
@@ -390,5 +390,5 @@
 mkcol.win31compat:Est-ce que les noms de rÃ©pertoires doivent suivre le modÃšle Windows 3.1 ou non (c.a.d. 8 caractÃšres max).
 mkcol.win31compat.true:Nom du catalogue 8 charactÃšres ou moins  
-mkcol.win31compat.false:Longueur et nom du catalogue 
+mkcol.win31compat.false:Longueur et nom du catalogue  
 
 # -- pluginfo.pl --
@@ -517,5 +517,5 @@
 BasClas.desc:Classe de base pour tous les classificateurs.
 
-BasClas.no_metadata_formatting:Ne pas faire aucun formatting de metadata (pour triage.) 
+BasClas.no_metadata_formatting:Ne pas faire aucun formatting de metadata (pour triage.)  
 
 BasClas.outhandle:Le fichier qui va recevoir les rÃ©sultats.
@@ -543,5 +543,5 @@
 DateList.sort:Champ de mÃ©ta-donnÃ©e supplÃ©mentaire pour le tri au oÃ¹ deux documents ont la mÃªme date.
 
-GenericList.always_bookshelf_last_level:CrÃ©ez un Ã®cone d' Ã©tagÃšre mÃªme s' il n' y a qu' un seul item dans chaque groupe de nÅds. 
+GenericList.always_bookshelf_last_level:CrÃ©ez un Ã®cone d' Ã©tagÃšre mÃªme s' il n' y a qu' un seul item dans chaque groupe de nÅds.  
 GenericList.classify_sections:Classifiez des sections au lieu de documents.  
 GenericList.desc:Une liste gÃ©nÃ©rale et flexible classificatrice avec la plupart des habilitÃ©s de AZCompactList, mais avec un meilleur Unicode, metadata et capabilitÃ© de triage.  
@@ -555,7 +555,7 @@
 HFileHierarchy.desc:Plugin pour gÃ©nÃ©rer des classifications hiÃ©rarchiques basÃ© sur un fichier structurel supplÃ©mentaire.
 
-Hierarchy.desc:Plugiciel Classificateur pour gÃ©nÃ©rer une classification hiÃ©rachique. Ceci peut Ãªtre basÃ© sur la structure de l'information metadata, ou bien peut utiliser un fichier de structure supplÃ©mentaire (utilisez l' option -hfichier). 
-
-Hierarchy.documents_last:Affichez les nÅuds du document aprÃšs les nÅuds classificateurs. 
+Hierarchy.desc:Plugiciel Classificateur pour gÃ©nÃ©rer une classification hiÃ©rachique. Ceci peut Ãªtre basÃ© sur la structure de l'information metadata, ou bien peut utiliser un fichier de structure supplÃ©mentaire (utilisez l' option -hfichier).  
+
+Hierarchy.documents_last:Affichez les nÅuds du document aprÃšs les nÅuds classificateurs.  
 
 Hierarchy.hfile:Utiliser le fichier spÃ©cifiÃ© de structure de classificateur.  
@@ -569,5 +569,5 @@
 Hierarchy.sort:Champ de mÃ©ta-donnÃ©e suivant lequel trier. Utiliser '-sort nosort' pour dÃ©sactiver le tri.
 
-Hierarchy.suppressfirstlevel:Ignorez la premiÃšre partie de la valeur metadata. Ceci est utile pour la metadata dont le premier Ã©lÃ©ment est connu, ainsi que le catalogue importÃ© dans gsdlsourcefilename. 
+Hierarchy.suppressfirstlevel:Ignorez la premiÃšre partie de la valeur metadata. Ceci est utile pour la metadata dont le premier Ã©lÃ©ment est connu, ainsi que le catalogue importÃ© dans gsdlsourcefilename.  
 
 Hierarchy.suppresslastlevel:Ignorer la partie finale de la valeur de mÃ©ta-donnÃ©e. C'est particuliÃšrement utile pour des mÃ©ta-donnÃ©es dont chaque valeur est unique, telles que les chemins de fichiers.
@@ -688,5 +688,5 @@
 BasPlug.extract_keyphrases:Extraction automatique des phrases clÃ©s avec Kea (par dÃ©faut).
 
-BasPlug.extract_keyphrases_kea4:Extrayez les phrasesclÃ© automatiquement avec Kea 4.0 (assortissement en dÃ©faut). Kea 4.0 est une nouvelle version qui a Ã©tÃ© developpÃ©e pour un indexage controllÃ© de documents dans le domaine de l' agriculture. 
+BasPlug.extract_keyphrases_kea4:Extrayez les phrasesclÃ© automatiquement avec Kea 4.0 (assortissement en dÃ©faut). Kea 4.0 est une nouvelle version qui a Ã©tÃ© developpÃ©e pour un indexage controllÃ© de documents dans le domaine de l' agriculture.  
 
 BasPlug.extract_keyphrase_options:Options pour l'extraction phrase clÃ© avec Kea. Par exemple: mALIWEB - utilise ALIWEB modÃšle d'extraction; n5 - extraire 5 phrases clÃ©; eGBK - utiliser l'encodage GBK
@@ -716,5 +716,5 @@
 BasPlug.maximum_year:La date historique la plus Ã©levÃ©e Ã  utiliser comme mÃ©ta-donnÃ©e (dans une Ãšre commune, comme 1950).
 
-BasPlug.missing_kea:Erreur: Le software Kea n' a pas pu Ãªtre trouvÃ© Ã  %s. S'il vous plaÃ®t tÃ©lÃ©chargez Kea %s de http://nzdl.org/Kea et installez-le de ce catalogue. 
+BasPlug.missing_kea:Erreur: Le software Kea n' a pas pu Ãªtre trouvÃ© Ã  %s. S'il vous plaÃ®t tÃ©lÃ©chargez Kea %s de http://nzdl.org/Kea et installez-le de ce catalogue.  
 
 BasPlug.must_be_implemented:BasPlug: :la fonction de lecture doit Ãªtre exÃ©cutÃ©e dans une sous-classe pour les plugins rÃ©cursifs
@@ -726,5 +726,5 @@
 BasPlug.read_denied:Permission de lecture refusÃ©e pour %s
 
-BasPlug.separate_cjk:InsÃ©rer des espaces entre les charactÃšres Chinois/Japonais/KorÃ©ain pour faire de chaque charactÃšre un mot. Utilisez si le texte n' est pas segmentÃ©. 
+BasPlug.separate_cjk:InsÃ©rer des espaces entre les charactÃšres Chinois/Japonais/KorÃ©ain pour faire de chaque charactÃšre un mot. Utilisez si le texte n' est pas segmentÃ©.  
 
 BasPlug.smart_block:Bloquer les fichiers d'une faÃ§on plus flexible qu'en regardant le nom du fichier.
@@ -740,11 +740,11 @@
 BookPlug.desc:CrÃ©e un document Ã  niveaux multiples Ã  partir d'un document contenant les balises de niveau <<TOC>>. Les mÃ©ta-donnÃ©es pour chaque section sont extraites Ã  partir des autres balises se trouvant sur la mÃªme ligne que <<TOC>>. Par exemple, <<Title>>xxxx<</Title>> dÃ©finit une mÃ©ta-donnÃ©e de titre. Tout le reste entre des balises TOC est traitÃ© comme du simple html (c.-Ã -d. qu'aucun lien html ou tout autre Ã©lÃ©ment de type HTMLPlug n'est traitÃ©). Les fichiers d'entrÃ©e sont supposÃ©s avoir l'extension .hb par dÃ©faut (cela peut Ãªtre changÃ© en ajoutant une option -processus_exp de mÃªme que le fichier hb mais une extension .jpg est prise comme image de couverture (les fichiers jpg sont bloquÃ©s par ce plugin). BookPlug est une simplification (et une extension) de HPPlug utilisÃ© par Humanity Library Collections. BookPlug est plus rapide et il s'attend Ã  ce que les fichiers d'entrÃ©e soient  propres (l'entrÃ©e aux collections HDL contient un nombre excessif de balises html autour de <<TOC>>, et utilise des balises <<I>> pour spÃ©cifier les images, et prend tout simplement tout le texte compris entre les balises <<TOC>> et le dÃ©but du texte comme Ã©tant la mÃ©ta-donnÃ©e de titre). Si vous dÃ©sirez baliser un document pour qu'il soit affichÃ© de la mÃªme maniÃšre que les collections HDL, utilisez ce plugin au lieu de HBPlug.
 
-ConvertToPlug.apply_fribidi:ExÃ©cutez le programme d' Algoritme d' Unicode Bidirectional "fribidi" sur le fichier convertit (pour texte de droite-Ã -gauche). 
+ConvertToPlug.apply_fribidi:ExÃ©cutez le programme d' Algoritme d' Unicode Bidirectional "fribidi" sur le fichier convertit (pour texte de droite-Ã -gauche).  
 ConvertToPlug.convert_to:Ce plugin convertit Ã  TEXT, Ã  HTML ou Ã  diffÃ©rents types d' images (ex: JEPG, GIF, PNG).  
-ConvertToPlug.convert_to.auto:SÃ©lectionnez aussi automatiquement le format convertit. Le format choise dÃ©pend du input du document type, par exemple Word sera automatiquement convertit en HTML, alors que PowerPoint sera convertit au format de PagedImage de Greenstone. 
+ConvertToPlug.convert_to.auto:SÃ©lectionnez aussi automatiquement le format convertit. Le format choise dÃ©pend du input du document type, par exemple Word sera automatiquement convertit en HTML, alors que PowerPoint sera convertit au format de PagedImage de Greenstone.  
 ConvertToPlug.convert_to.html:Format HTML
 ConvertToPlug.convert_to.text:Format de texte simple
-ConvertToPlug.convert_to.pagedimg_jpg:Format JEPG. 
-ConvertToPlug.convert_to.pagedimg_gif:Format GIF. 
+ConvertToPlug.convert_to.pagedimg_jpg:Format JEPG.  
+ConvertToPlug.convert_to.pagedimg_gif:Format GIF.  
 ConvertToPlug.convert_to.pagedimg_png:Format PNG.  
 
@@ -763,7 +763,7 @@
 DSpacePlug.desc:DSpacePlug prend une collection de documents exportÃ©s de DSpace et les importe dans Greenstone.  
 	
-DSpacePlug.first_inorder_ext:Ceci est utilisÃ© pour identifier le rÃ©seau primaire de collection de documents DSpace. Avec cette option, le systÃšme traitera les ext types dÃ©finits de documents en sÃ©quence pour chercher le possible rÃ©seau primaire. 
+DSpacePlug.first_inorder_ext:Ceci est utilisÃ© pour identifier le rÃ©seau primaire de collection de documents DSpace. Avec cette option, le systÃšme traitera les ext types dÃ©finits de documents en sÃ©quence pour chercher le possible rÃ©seau primaire.  
 DSpacePlug.first_inorder_mime:Ceci est utilisÃ© pour identifier la source primaire de donnÃ©es deu document de collection DSpace. Avec cette option, le systÃšme traitera les types mimes dÃ©finits des documents en sÃ©quence pour chercher la possible source primaire.  
-DSpacePlug.only_first_doc:Ceci est utilisÃ© pour identifier le rÃ©seau primaire d' information du document de collection DSpace. Avec cette option, le systÃšme traitera le premier document du le fichier metadata dublic_core comme le possible rÃ©seau primaire. 
+DSpacePlug.only_first_doc:Ceci est utilisÃ© pour identifier le rÃ©seau primaire d' information du document de collection DSpace. Avec cette option, le systÃšme traitera le premier document du le fichier metadata dublic_core comme le possible rÃ©seau primaire.  
 
 EMAILPlug.desc:Email plug lit les fichiers email. Ceux-ci sont nommÃ©s simplement avec un numÃ©ro (c'est-Ã -dire comme ils apparaissent dans les dossiers maildir) ou avec l'extension .mbx (pour format de fichier courrier mbox).\n Texte de document: Le texte de document est composÃ© de tous le texte situÃ© aprÃšs la premiÃšre ligne vide du document.\nMÃ©ta-donnÃ©es (pas Dublin Core!):\n\t\$Headers  Tout le contenu de l'en-tÃªte (optionel, n'est pas emmagasinÃ© par defaut)\n\t\$Subject   Objet: header\n\t\$To    A: header\n\t\$From   De: header/n/t/$FromName    Nom de l'expÃ©diteur (si disponible)\n\t\$FromAddr    Adresse Ã©lectronique de l'expÃ©diteur\n\t\$DateText     Date: header\n\t\$Date   Date: en-tÃªte au format GSDL (ex 19990924)
@@ -801,5 +801,5 @@
 HTMLPlug.file_is_url:DÃ©fini si les noms de fichiers d'entrÃ©e constituent l'url des documents source d'origine, p.ex. si un outil de "mirroring" a Ã©tÃ© utilisÃ© pour crÃ©er la structure du rÃ©pertoire d'importation.
 
-HTMLPlug.hunt_creator_metadata:Trouver autant de mÃ©ta-donnÃ©es possibles sur l'auteur et les placer dans le champ 'Creator'. NÃ©cessite le drapeau -metadata_fields.  
+HTMLPlug.hunt_creator_metadata:Trouver autant de mÃ©ta-donnÃ©es possibles sur l'auteur et les placer dans le champ 'Creator'. NÃ©cessite le drapeau -metadata_fields.
 
 HTMLPlug.keep_head:Ne pas supprimer les en-tÃªtes des fichiers html.
@@ -902,5 +902,5 @@
 OggVorbisPlug.desc:Un plugin pour importer des fichiers audio Ogg Vorbis.
 
-OpenDocumentPlug.desc:Module externe pour documents au format OASIS OuvrirDocument (utilisÃ©s par OpenOffice 2.0) 
+OpenDocumentPlug.desc:Module externe pour documents au format OASIS OuvrirDocument (utilisÃ©s par OpenOffice 2.0)  
 
 PagedImgPlug.desc:Plugiciel pour des documents constituÃ©s d'une suite d'images, avec la possibilitÃ© de texte OCR pour chaque image. Ce plugiciel traite des fichiers .item qui listent  la sÃ©quence des images et des fichiers texte, et fournit des mÃ©tadonnÃ©es.  
@@ -920,5 +920,5 @@
 PagedImgPlug.thumbnail:CrÃ©e une vignette pour chaque image
 
-PDFPlug.allowimagesonly:Autorisez les fichiers en format PDF qui n' ont pas de texte extractible. Evite le besoin d' avoir -set complexe. Uniquement utile avec convertion_Ã  html. 
+PDFPlug.allowimagesonly:Autorisez les fichiers en format PDF qui n' ont pas de texte extractible. Evite le besoin d' avoir -set complexe. Uniquement utile avec convertion_Ã  html.  
 PDFPlug.complex:CrÃ©e une sortie plus complexe. Avec la dÃ©finition de cette option, la sortie html va beaucoup plus ressembler au fichier PDF original. Pour que cela fonctionne correctement, il faut que Ghostscript soit installÃ© (pour *nix, gs doit Ãªtre dans la dÃ©finition de chemins, pendant que pour windows, vous devez avoir gswin32c.exe sur votre chemin).
 
@@ -935,5 +935,5 @@
 PPTPlug.desc:Un plugin pour importer des fichiers Microsoft PowerPoint.
 
-PPTPlug.windows_scripting:Utilisez la technologie de scriptage de Microsoft Windows (Visuel Basique pour Applications) pour que PPT puisse convertir le document Ã  plusieures types d' images (e.g. JPEG, PNG, GIF) au lieu de dÃ©pendre de la source ouverte du paquet ppttohtml. 
+PPTPlug.windows_scripting:Utilisez la technologie de scriptage de Microsoft Windows (Visuel Basique pour Applications) pour que PPT puisse convertir le document Ã  plusieures types d' images (e.g. JPEG, PNG, GIF) au lieu de dÃ©pendre de la source ouverte du paquet ppttohtml.  
 
 ProCitePlug.desc:Un plugiciel pour des bases de donnÃ©es ProCite (exportÃ©es)  
@@ -947,5 +947,5 @@
 PSPlug.extract_title:Extrait titre de l'entÃªte PS.
 
-RealMediaPlug.desc:Un module externe pour le traitement automatique de l' information des fichiers Real Media. 
+RealMediaPlug.desc:Un module externe pour le traitement automatique de l' information des fichiers Real Media.  
 
 RecPlug.desc:RecPlug est un plugin rÃ©cursif Ã  travers les rÃ©pertoires, traitant chaque fichier trouvÃ©.
@@ -979,9 +979,9 @@
 StructuredHTMLPlug.level1_header:possibles styles d' utilisateur-dÃ©finit pour l' entÃªte de niveau1 dans le document au format HTML (Ã©quivalent Ã  <h1>).  
 
-StructuredHTMLPlug.level2_header:possibles styles d' utilisateur-dÃ©finit pour le niveaux2 d' entÃªte dans le document au format HTML (Ã©quivalent Ã  <h2>). 
+StructuredHTMLPlug.level2_header:possibles styles d' utilisateur-dÃ©finit pour le niveaux2 d' entÃªte dans le document au format HTML (Ã©quivalent Ã  <h2>).  
 
 StructuredHTMLPlug.level3_header:Styles possibles dÃ©finis par l'utilisateur pour l'en-tÃªte level3 dans le document HTML (Ã©quivalent Ã  <h3>).    
 
-StructuredHTMLPlug.toc_header:Styles possibles d'en-tÃªte dÃ©finies par l'utilisateur pour la table des matiÃšres, tableau de figures, etc, devront Ãªtre Ã©liminÃ©s si delete_toc est positionnÃ©.
+StructuredHTMLPlug.toc_header:Styles possibles d'en-tÃªte dÃ©finies par l'utilisateur pour la table des matiÃšres, tableau de figures, etc, devront Ãªtre Ã©liminÃ©s si delete_toc est positionnÃ©.  
 
 TEXTPlug.desc:CrÃ©e un document Ã  niveau unique. Ajoute une mÃ©ta-donnÃ©e de Titre de premiÃšre ligne de texte (jusqu'Ã  100 caractÃšres).